petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESNASMGetSubdomainVecs

Get the processor-local subdomain vectors

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMGetSubdomainVecs(SNES snes,PetscInt *n,Vec **x,Vec **y,Vec **b, Vec **xl)

Not Collective Many br

### Input Parameters

SNES -the SNES context Many br

### Output Parameters

| n | - the number of local subdomains Many br
| x | - The subdomain solution vector Many br
| y | - The subdomain step vector Many br
| b | - The subdomain RHS vector Many br
| xl | - The subdomain local vectors (ghosted) Many br

Many br

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetSubdomains()

Level:developer
Location:src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages